## gate.gui
Class CollectionSelectionDialog

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--java.awt.Window
                        |
                        +--java.awt.Dialog
                              |
                              +--javax.swing.JDialog
                                    |
                                    +--gate.gui.CollectionSelectionDialog

All Implemented Interfaces:
  Accessible, ImageObserver, MenuContainer, RootPaneContainer, Serializable, WindowConstants

public class CollectionSelectionDialog
extends JDialog

This class visually selects some items from a collection and returns a collection with the items selected by the user.

See Also:
  Serialized Form

Inner classes inherited from class javax.swing.JDialog
`JDialog.AccessibleJDialog`

Inner classes inherited from class java.awt.Dialog
`Dialog.AccessibleAWTDialog`

Inner classes inherited from class java.awt.Window
`Window.AccessibleAWTWindow`

Inner classes inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Inner classes inherited from class java.awt.Component
`Component.AccessibleAWTComponent, Component.AWTTreeLock`

Field Summary
`(package private) JButton` `addButton` The button that adds items to the target list
`(package private) int` `buttonPressed` A value indicating which button has been pressed (Ok or Cancel)
`(package private) JButton` `cancelButton` The Cancel button
`(package private) Frame` `mainFrame` The parent frame for this dialog
`(package private) JButton` `okButton` The Ok button
`(package private) JButton` `removeButton` The button that removes items from the target list
`(package private) JLabel` `sourceLabel` A label for the source list
`(package private) JList` `sourceList` The source list which contains the items that the user will select from
`(package private) DefaultListModel` `sourceListModel` This is the model for the list that the user will choose from
`(package private) JLabel` `targetLabel` A label for the target list
`(package private) JList` `targetList` The source list which contains the items that the user choosed
`(package private) DefaultListModel` `targetListModel` This is the model for the list that the user chosed

Fields inherited from class javax.swing.JDialog
`accessibleContext, defaultCloseOperation, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Dialog
`base, keepBlocking, modal, nameCounter, resizable, serialVersionUID, title`

Fields inherited from class java.awt.Window
`active, dbg, focusMgr, inputContext, inputContextLock, OPENED, ownedWindowList, state, warningString, weakThis, windowListener, windowSerializedDataVersion`

Fields inherited from class java.awt.Container
`component, containerListener, containerSerializedDataVersion, dispatcher, layoutMgr, listeningBoundsChildren, listeningChildren, maxSize, ncomponents, printing, printingThreads`

Fields inherited from class java.awt.Component

`actionListenerK, adjustmentListenerK, appContext, background, BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, changeSupport, componentListener, componentListenerK, componentOrientation, componentSerializedDataVersion, containerListenerK, cursor, dropTarget, enabled, eventMask, focusListener, focusListenerK, font, foreground, graphicsConfig, hasFocus, height, hierarchyBoundsListener, hierarchyBoundsListenerK, hierarchyListener, hierarchyListenerK, incRate, inputMethodListener, inputMethodListenerK, isInc, isPacked, itemListenerK, keyListener, keyListenerK, LEFT_ALIGNMENT, locale, LOCK, metrics, minSize, mouseListener, mouseListenerK, mouseMotionListener, mouseMotionListenerK, name, nameExplicitlySet, newEventsOnly, ownedWindowK, parent, peer, peerFont, popups, prefSize, privateKey, RIGHT_ALIGNMENT, textListenerK, TOP_ALIGNMENT, valid, visible, width, windowClosingException, windowListenerK, x, y`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`CollectionSelectionDialog()` Constructs an ColectionSelectionDialog using null as a frame and true as modal value for dialog
`CollectionSelectionDialog(Frame aFrame, boolean aModal)` Constructs an ColectionSelectionDialog

Method Summary
`private void` `doAdd()` Called when user press add button
`private void` `doCancel()` This method is called when the user press the CANCEL button
`private void` `doOk()` This method is called when the user press the OK button
`private void` `doRemove()` Called when user press remove button
`Collection` `getSelectedCollection()` Returns the target collection
`protected void` `initGuiComponents()` This method creates the GUI components and paces them into the layout
`protected void` `initListeners()` Init all the listeners
`protected void` `initLocalData(Collection aSourceData)` Init local data from a sorce collection
`int` `show(String aTitle, Collection aSourceData)` This method displays the CollectionSelectionDialog

Methods inherited from class javax.swing.JDialog

`addImpl, createRootPane, createRootPaneException, dialogInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getJMenuBar, getLayeredPane, getRootPane, isRootPaneCheckingEnabled, paramString, processKeyEvent, processWindowEvent, remove, setContentPane, setDefaultCloseOperation, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setLocationRelativeTo, setRootPane, setRootPaneCheckingEnabled, update`

Methods inherited from class java.awt.Dialog
`<clinit>, addNotify, conditionalShow, constructComponentName, dispose, disposeImpl, getTitle, hide, hideAndDisposeHandler, initIDs, interruptBlocking, isModal, isResizable, setModal, setResizable, setTitle, show`

Methods inherited from class java.awt.Window

`addOwnedWindow, addWindowListener, adjustListeningChildren, applyResourceBundle, applyResourceBundle, connectOwnedWindow, dispatchEventImpl, eventEnabled, finalize, getFocusOwner, getGraphicsConfiguration, getInputContext, getListeners, getLocale, getOwnedWindows, getOwner, getToolkit, getWarningString, isActive, isShowing, nextFocus, ownedInit, pack, postEvent, postProcessKeyEvent, postWindowEvent, preProcessKeyEvent, processEvent, readObject, removeOwnedWindow, removeWindowListener, resetGC, setCursor, setFocusOwner, setWarningString, toBack, toFront, transferFocus, writeObject`

Methods inherited from class java.awt.Container

`add, add, add, add, add, addContainerListener, applyOrientation, checkGD, countComponents, createChildHierarchyEvents, createHierarchyEvents, deliverEvent, dispatchEventToSelf, doLayout, findComponentAt, findComponentAt, findComponentAt, getAccessibleAt, getAccessibleChild, getAccessibleChildrenCount, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents_NoClientCode, getComponents, getInsets, getLayout, getMaximumSize, getMinimumSize, getMouseEventTarget, getPreferredSize, getWindow, insets, invalidate, invalidateTree, isAncestorOf, layout, lightweightPaint, lightweightPrint, list, list, locate, minimumSize, numListening, paint, paintComponents, paintHeavyweightComponents, postsOldMouseEvents, preferredSize, print, printComponents, printHeavyweightComponents, processContainerEvent, proxyEnableEvents, proxyRequestFocus, remove, removeAll, removeContainerListener, removeNotify, setFont, validate, validateTree`

Methods inherited from class java.awt.Component

`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addPropertyChangeListener, addPropertyChangeListener, areInputMethodsEnabled, bounds, checkImage, checkImage, checkWindowClosingException, coalesceEvents, contains, contains, createImage, createImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, getAccessibleIndexInParent, getAccessibleStateSet, getBackground, getBounds, getBounds, getColorModel, getComponentOrientation, getCursor, getDropTarget, getFont_NoClientCode, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getInputMethodRequests, getLocation, getLocation, getLocationOnScreen_NoTreeLock, getLocationOnScreen, getName, getNativeContainer, getParent_NoClientCode, getParent, getPeer, getSize, getSize, getToolkitImpl, getTreeLock, getWidth, getWindowForObject, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isDisplayable, isDoubleBuffered, isEnabled, isEnabledImpl, isFocusTraversable, isLightweight, isOpaque, isRecursivelyVisible, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, processMouseMotionEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setDropTarget, setEnabled, setForeground, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, size, toString, transferFocus`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, registerNatives, wait, wait, wait`

Field Detail

### sourceListModel

    DefaultListModel sourceListModel

  This is the model for the list that the user will choose from

### targetListModel

    DefaultListModel targetListModel

  This is the model for the list that the user chosed

### buttonPressed

    int buttonPressed

  A value indicating which button has been pressed (Ok or Cancel)

### removeButton

    JButton removeButton

  The button that removes items from the target list

### addButton

    JButton addButton

  The button that adds items to the target list

### sourceList

    JList sourceList

  The source list which contains the items that the user will select from

### targetList

    JList targetList

  The source list which contains the items that the user choosed

### okButton

    JButton okButton

  The Ok button

### cancelButton

    JButton cancelButton

  The Cancel button

### sourceLabel

    JLabel sourceLabel

  A label for the source list

### targetLabel

    JLabel targetLabel

  A label for the target list

### mainFrame

    Frame mainFrame

  The parent frame for this dialog

Constructor Detail

### CollectionSelectionDialog

    public CollectionSelectionDialog(Frame aFrame,
                                     boolean aModal)

  Constructs an ColectionSelectionDialog
  Parameters:
    `aFram` - the parent frame of this dialog
    `aModal` - (wheter or not this dialog is modal)

### CollectionSelectionDialog

    public CollectionSelectionDialog()

  Constructs an ColectionSelectionDialog using null as a frame and true as modal value for dialog

Method Detail

### initLocalData

    protected void initLocalData(Collection aSourceData)

  Init local data from a sorce collection
  Parameters:
    `aSourceCollection` - is the collection from what the user will choose

### initGuiComponents

    protected void initGuiComponents()

  This method creates the GUI components and paces them into the layout

### initListeners

    protected void initListeners()

  Init all the listeners

### doOk

    private void doOk()

  This method is called when the user press the OK button

### doCancel

    private void doCancel()

  This method is called when the user press the CANCEL button

### doRemove

    private void doRemove()

  Called when user press remove button

### doAdd

    private void doAdd()

  Called when user press add button

### getSelectedCollection

    public Collection getSelectedCollection()

  Returns the target collection

### show

    public int show(String aTitle,
                    Collection aSourceData)

  This method displays the CollectionSelectionDialog